## gnokii 0.6.29.dfsg

=== debian/changelog ===
gnokii (0.6.29.dfsg-1) unstable; urgency=low

  * new upstream release
    - libgnokii soname bump: 5 -> 6
  * debian/patches: drop delivery_report_d4f0bc95 (addad upstream)
  * debian/control: bump policy to 3.8.4 (no changes)

 -- Leo Costela <costela@debian.org>  Sun, 02 May 2010 00:25:24 +0200

gnokii (0.6.28.dfsg-2) unstable; urgency=low

  * convert to "3.0 (quilt)" format
  * debian/control: 
    - add libreadline-dev and flex build-deps
    - add misc:Depends to all packages
  * debian/gnokii-cli.postinst: mode 4754 for mgnokiidev (closes: #562719)
  * debian/gnokii-cli.postrm: remove group after statoverride (closes: #563317)
  * debian/patches: backport d4f0bc9534b3b: fix Siemens SMS Delivery 
    Report (closes: #563777)

 -- Leo Costela <costela@debian.org>  Sun, 10 Jan 2010 00:56:03 +0100

gnokii (0.6.28.dfsg-1) unstable; urgency=low

  * new upstream release
    - docs dropped upstream, weren't up-to-date (closes: #292975)
  * rename README.debian -> README.source
  * debian/patches/03_xgnokii_desktop.diff: dropped; merged upstream
  * debian/patches/05_x-www-browser.diff: dropped; code path dropped 
    upstream
  * debian/control:
    - bump policy to 3.8.3 (no changes)
    - add build-dep on intltool
    - soname bump: libgnokii4 -> libgnokii5
    - drop quilt build-deps, no patches anymore
  * debian/rules:
    - pass --disable-rpath to configure
    - comment out quilt stuff
  * debian/xgnokii.install: stop trying to install the above mentioned 
    docs

 -- Leo Costela <costela@debian.org>  Mon, 07 Sep 2009 19:38:11 +0200

gnokii (0.6.27.dfsg-3) unstable; urgency=low

  * debian/control: 
    - change build-deps to unversioned libmysqlclient-dev (closes: #538541)
    - bump policy to 3.8.2 (no change)
    - bump dh to >= 7
  * debian/compat: bump to 7
  * debian/rules: dh_clean -> dh_prep

 -- Leo Costela <costela@debian.org>  Sun, 26 Jul 2009 14:21:03 +0200

gnokii (0.6.27.dfsg-2) unstable; urgency=low

  * post-Lenny upload to unstable (closes: #516618)
  * debian/control: rename -dev package to a non-versioned name, 
    following advice from dato
    (message-id: <20090223221003.GJ4180@chistera.yi.org>)

 -- Leo Costela <costela@debian.org>  Tue, 03 Feb 2009 15:54:23 +0100

gnokii (0.6.27.dfsg-1) experimental; urgency=low

  * new upstream version
  * debian/control: 
    - point VCS-Svn field to trunk (closes: #501784)
    - bump libgnokii soname
    - remove old Replaces for packages which are older than Etch
    - add Replaces and Conflicts libgnokii4-dev -> libgnokii-dev
  * debian/rules: remove build-time iconv flags, integraded upstream
  * debian/patches/05_x-www-browser: manual update, upstream now uses firefox
    as the default
  * debian/patches/10_smsd_default_file: removed, integrated upstraem
  * debian/{patches/*,rules,control}: migrate from dpatch to quilt
  * debian/gnokii-cli.postinst: add "set -e"
  * debian/gnokii-cli.postrm: remove full path from calls

 -- Leo Costela <costela@debian.org>  Sun, 12 Oct 2008 20:48:31 +0200

gnokii (0.6.26.dfsg-3) unstable; urgency=low

  * debian/rules: add build-time iconv support (closes: #501356) 
    (thanks Michael Banck and Johan Kiviniemi)

 -- Leo Costela <costela@debian.org>  Tue, 07 Oct 2008 16:01:44 +0200

gnokii (0.6.26.dfsg-2) unstable; urgency=low

  * debian/patches: add xgnokii_desktop.dpatch to change desktop file icon
    (closes: #487304)
  * debian/control: 
      - make xgnokii depend on gnome-icon-theme (related above)
      - policy 3.8.0 (no changes)

 -- Leo Costela <costela@debian.org>  Sat, 21 Jun 2008 00:19:12 +0200

gnokii (0.6.26.dfsg-1) unstable; urgency=low

  * new upstream version

 -- Leo Costela <costela@debian.org>  Fri, 06 Jun 2008 19:39:58 +0200

gnokii (0.6.25.dfsg-1) unstable; urgency=low

  * new upstream version

 -- Leo Costela <costela@debian.org>  Sat, 03 May 2008 22:02:21 +0200

gnokii (0.6.24.dfsg-3) unstable; urgency=low

  * debian/control: add versioned depends to gnokii (closes:#474332)

 -- Leo Costela <costela@debian.org>  Sun, 06 Apr 2008 19:16:23 +0200

gnokii (0.6.24.dfsg-2) unstable; urgency=low

  * debian/control: Change Recommends to Suggests, between gnokii-common and
    (xgnokii|gnokii-cli) (closes:#474332)

 -- Leo Costela <costela@debian.org>  Sat, 05 Apr 2008 18:51:50 +0200

gnokii (0.6.24.dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/control: 
      - description improvements (thanks Josh Triplett) (closes: #454217)
      - make libgnokii3-dev priority extra (avoid policy 2.5, depends on
      libbluetooth-dev which is also extra)
      - added build-dep on libxml-parser-perl
  * debian/patches:
      - dropped 10_build_system_corrections, upstream build-system revamped
  * debian/rules: addapt to new build-system
  * debian/README.Debian: give more information on DFSG-version

 -- Leo Costela <costela@debian.org>  Thu, 20 Mar 2008 21:23:39 +0100

gnokii (0.6.22.dfsg-3) unstable; urgency=medium (FTBFS)

  * debian/control: 
      - fix libgnokii3-dev deps (closes: #453211 (RC))
      - fix VCS URLs
      - add build-dep on libical-dev
      - bump policy to 3.7.3 (no changes needed)

 -- Leo Costela <costela@debian.org>  Wed, 28 Nov 2007 00:26:56 +0100

gnokii (0.6.22.dfsg-2) unstable; urgency=low

  * debian/rules: 
      - remove config.{guess,sub} on clean
      - finally separate gnokii into gnokii-cli, xgnokii and gnokii-common 
        (closes: #123611)
      - stop setting --with-xgnokiidir on configure, it should be inherited 
        from --prefix
      - MAJOR rewrite to finally clean up the package to use dh_install
      - include dpatch.make
      - honor 'noopt' on DEB_BUILD_OPTIONS
  * debian/control: 
      - add gnokii-cli, xgnokii and gnokii-common packages
      - make the new packages Conclifts+Replaces on the old gnokii
      - add Homepage, Scm-Svn, Scm-Browser fields
      - move Conflicts:smstools from gnokii to gnokii-smsd and lower its

