=== debian/control ===
Source: gnokii
Section: comm
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libxpm-dev, libxt-dev, libglib2.0-dev, libgtk2.0-dev, gettext, libmysqlclient-dev, libpq-dev, libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev, libpcsclite-dev, autotools-dev, libical-dev, libxml-parser-perl, intltool, libreadline-dev, flex
Standards-Version: 3.8.4
Homepage: http://gnokii.org
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/gnokii/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/gnokii/

Package: gnokii
Architecture: all
Depends: gnokii-cli (>= ${source:Version}), xgnokii (>= ${source:Version}), gnokii-common (= ${source:Version}), ${misc:Depends}
Description: Datasuite for mobile phone management
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package installs the whole suit of programs.

Package: gnokii-common
Architecture: all
Suggests: xgnokii | gnokii-cli
Conflicts: gnokii (<= 0.6.22.dfsg-1)
Replaces: gnokii (<= 0.6.22.dfsg-1)
Depends: ${misc:Depends}
Description: Datasuite for mobile phone management (base files)
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package contains the base files for gnokii

Package: gnokii-cli
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), dialog, ${misc:Depends}
Suggests: xgnokii
Conflicts: gnokii (<= 0.6.22.dfsg-1)
Replaces: gnokii (<= 0.6.22.dfsg-1)
Description: Datasuite for mobile phone management (console interface)
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package provides the command line interface and the virtual modem daemon
 for non-AT-capable phones.

Package: xgnokii
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), gnome-icon-theme, ${misc:Depends}
Conflicts: gnokii (<= 0.6.22.dfsg-1)
Replaces: gnokii (<= 0.6.22.dfsg-1)
Description: Datasuite for mobile phone management (X interface)
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package provides the X11 (xgnokii) interface.

Package: gnokii-smsd
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), ${misc:Depends}
Conflicts: smstools
Priority: extra
Description: SMS Daemon for mobile phones
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with 
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package contains the actual daemon and a file based backend. You will 
 need to install the appropriate module packages to add support for other
 backends.

Package: gnokii-smsd-mysql
Architecture: any
Depends: ${shlibs:Depends}, gnokii-smsd (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: SMSD plugin for MySQL storage backend
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with 
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package provides support for the MySQL storage backend.

Package: gnokii-smsd-pgsql
Architecture: any
Depends: ${shlibs:Depends}, gnokii-smsd (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: SMSD plugin for PostgreSQL storage backend
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with 
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package provides support for the PostgreSQL storage backend.

Package: libgnokii6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), ${misc:Depends}
Description: Gnokii mobile phone interface library
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package provides the library used by the gnokii suite to communicate 
 with the phones.

Package: libgnokii-dev
Provides: libgnokii3-dev
Replaces: libgnokii3-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), libgnokii6 (= ${binary:Version}), libxpm-dev, libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev, libpcsclite-dev, libical-dev, libc6-dev, ${misc:Depends}
Description: Gnokii mobile phone interface library (development files)
 Gnokii is a suite of programs that allows communication with mobile phones. 
 It currently supports many Nokia mobile phones, all AT capable ones as well as 
 many Symbian based.
 For a list of compatible phones, please visit:
 http://wiki.gnokii.org
 .
 This package provides the devel headers used by applications that wish to link
 against libgnokii.
