=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

.NOTPARALLEL:

CFLAGS = -Wall -g
#LDFLAGS = -Wl,--as-needed,-z,defs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config/config.guess config/config.sub

	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Update config.{sub,guess} before running configure
	-test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config/config.sub
	-test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config/config.guess
	./configure --prefix=/usr --mandir=/usr/share/man \
	  --with-x --enable-nls --enable-security \
	  --enable-smsd --enable-libpcsclite --enable-bluetooth \
	  --enable-irda --enable-libusb --enable-libical \
	  --disable-rpath \
	  CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Compile the main package.
	$(MAKE)

	touch build-stamp


install: build
	dh_testdir
	dh_testroot
	dh_prep

	# Install the main package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
	# Install modified gnokiirc
	install -m 644 -D $(CURDIR)/debian/gnokiirc \
		$(CURDIR)/debian/tmp/etc/xdg/gnokii/config

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_installdocs -p gnokii-common
	dh_installexamples -i
	dh_installchangelogs -p gnokii-common ChangeLog
	dh_install -i --sourcedir=$(CURDIR)/debian/tmp
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
	dh_installdocs -p gnokii-smsd -p gnokii-smsd-mysql -p gnokii-smsd-pgsql
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -p gnokii-smsd -p gnokii-smsd-mysql -p gnokii-smsd-pgsql smsd/ChangeLog
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -l$(CURDIR)/debian/tmp/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
