## gnokii 0.6.30%2Bdfsg

=== debian/changelog ===
gnokii (0.6.30+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream workaround for FTBFS with gettext >= 0.20.
    (Closes: #978371)

 -- Adrian Bunk <bunk@debian.org>  Mon, 08 Feb 2021 22:53:35 +0200

gnokii (0.6.30+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Santiago Vila ]
  * Add build-arch and build-indep targets. (Closes: #821989)

  [ Sebastian Ramacher ]
  * Switch to default-libmysqlclient-dev. (Closes: #845848)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Dec 2016 17:39:06 +0100

gnokii (0.6.30+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    debian/rules: add "-fgnu89-inline" to CFLAGS.
    (Closes: #777882)
  * Fix "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4": apply patch from Brahadambal Srinivasan to use
    dh-autoreconf in debian/{control,rules}.
    (Closes: #744582)
  * debian/control: add "(metapackage)" to gnokii's short description.
    Otherwise we run into lintian's "W: gnokii: empty-binary-package",
    which is flagged by lintian's --ftp-master-rejects.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Jul 2015 18:14:03 +0200

gnokii (0.6.30+dfsg-1) unstable; urgency=low

  * new upstream release
    - fixes FTBFS with libpcsclite (closes: 614442, 593509)
    - fix DKU2 issues (closes: 591658)
  * debian/control:
    - bump policy to 3.9.2:
      - clean .la files
    - convert package to git
  * debian/patches:
    - add upstream patch to change search order of config files 
      (closes: #623694)
  * debian/rules: clean up .la files' dependencies (closes: 620903)
    (thanks Andreas Moog)

 -- Leo Costela <costela@debian.org>  Sat, 23 Apr 2011 19:35:38 +0200
