## gnokii 0.6.30+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: comm
 Priority: optional
 Maintainer: Leo Costela <costela@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libxpm-dev, libxt-dev, libglib2.0-dev, libgtk2.0-dev, gettext, libmysqlclient-dev, libpq-dev, libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev, libpcsclite-dev, autotools-dev, libical-dev, libxml-parser-perl, intltool, libreadline-dev, flex
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), libxpm-dev, libxt-dev, libglib2.0-dev, libgtk2.0-dev,
+ gettext, default-libmysqlclient-dev, libpq-dev,
+ libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev,
+ libpcsclite-dev (>= 1.7.0), dh-autoreconf, libical-dev, libxml-parser-perl, intltool,
+ libreadline-dev, flex
+Standards-Version: 3.9.2
 Homepage: http://gnokii.org
-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/gnokii/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/gnokii/
+Vcs-Git: git://git.debian.org/git/collab-maint/gnokii.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/gnokii.git
 
 Package: gnokii
 Architecture: all
-Depends: gnokii-cli (>= ${source:Version}), xgnokii (>= ${source:Version}), gnokii-common (= ${source:Version}), ${misc:Depends}
-Description: Datasuite for mobile phone management
+Depends: gnokii-cli (>= ${source:Version}), xgnokii (>= ${source:Version}),
+         gnokii-common (= ${source:Version}), ${misc:Depends}
+Description: Datasuite for mobile phone management (metapackage)
  Gnokii is a suite of programs that allows communication with mobile phones. 
  It currently supports many Nokia mobile phones, all AT capable ones as well as 
  many Symbian based.
@@ -54,7 +59,8 @@
 
 Package: xgnokii
 Architecture: any
-Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), gnome-icon-theme, ${misc:Depends}
+Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), 
+         gnome-icon-theme, ${misc:Depends}
 Conflicts: gnokii (<= 0.6.22.dfsg-1)
 Replaces: gnokii (<= 0.6.22.dfsg-1)
 Description: Datasuite for mobile phone management (X interface)
@@ -140,7 +146,10 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), libgnokii6 (= ${binary:Version}), libxpm-dev, libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev, libpcsclite-dev, libical-dev, libc6-dev, ${misc:Depends}
+Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), 
+         libgnokii6 (= ${binary:Version}), libxpm-dev, 
+         libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libusb-dev, 
+         libpcsclite-dev, libical-dev, libc6-dev, ${misc:Depends}
 Description: Gnokii mobile phone interface library (development files)
  Gnokii is a suite of programs that allows communication with mobile phones. 
  It currently supports many Nokia mobile phones, all AT capable ones as well as
