=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 .NOTPARALLEL:
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g -fgnu89-inline
 #LDFLAGS = -Wl,--as-needed,-z,defs
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -22,16 +22,13 @@
 
 	rm -f config/config.guess config/config.sub
 
+	dh_autoreconf_clean
 	dh_clean
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Update config.{sub,guess} before running configure
-	-test -r /usr/share/misc/config.sub && \
-		cp -f /usr/share/misc/config.sub config/config.sub
-	-test -r /usr/share/misc/config.guess && \
-		cp -f /usr/share/misc/config.guess config/config.guess
+	dh_autoreconf
 	./configure --prefix=/usr --mandir=/usr/share/man \
 	  --with-x --enable-nls --enable-security \
 	  --enable-smsd --enable-libpcsclite --enable-bluetooth \
@@ -41,6 +38,8 @@
 
 	touch configure-stamp
 
+build-arch: build
+build-indep: build
 build: configure-stamp build-stamp
 build-stamp:
 	dh_testdir
@@ -58,6 +57,11 @@
 
 	# Install the main package
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/
+	# Empty out the dependency field in our .la files
+	for file in $(CURDIR)/debian/tmp/usr/lib/*.la; do \
+		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
+	done
+
 	# Install modified gnokiirc
 	install -m 644 -D $(CURDIR)/debian/gnokiirc \
 		$(CURDIR)/debian/tmp/etc/xdg/gnokii/config
@@ -100,4 +104,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
