=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg$// \
	http://www.gnokii.org/download/gnokii/gnokii-([\d\.]+?)\.tar\.gz
