## gnokii 0.6.31+dfsg

=== debian/changelog ===
gnokii (0.6.31+dfsg-6) unstable; urgency=medium

  * QA upload.
  * Fix linked documentation directories.  (Closes: #1070427)
  * Declare: Rules-Requires-Root: no.
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 May 2024 12:44:36 +0200

gnokii (0.6.31+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062178

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:05:37 +0000

gnokii (0.6.31+dfsg-5) unstable; urgency=medium

  * QA upload
  * Patch: Make Nokia DKU2 udev rules work (Closes: #563547)
  * Remove Description link to wiki.gnokii.org
  * Make the pkg's gnokiirc look more like the upstream example

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 17:17:31 +0200

gnokii (0.6.31+dfsg-4) unstable; urgency=medium

  * DFSG repack is no longer needed
  * d/changelog: Drop vim lines
  * New upstream version 0.6.31
  * Drop xgnokii (Closes: #967439)
  * Update debhelper to compat 10, dropping -dbg packages
  * Drop old Conflicts/Replaces

 -- Bastian Germann <bage@debian.org>  Thu, 24 Aug 2023 13:13:26 +0000

gnokii (0.6.31+dfsg-3) unstable; urgency=medium

  * Adopt the package (Closes: #856421)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Bastian Germann <bage@debian.org>  Sun, 13 Aug 2023 03:15:51 +0200

gnokii (0.6.31+dfsg-2) experimental; urgency=low

  * [004cc92a] install config through g-c.install instead of manually
               in debian/rules
  * [0268cb06] update debian/copyright to DEP-5 format
  * [55052d9f] bump dh compat to 8
  * [b2144058] mention gnokii is a metapackage to silence lintian
  * [111b1072] move to dh short-style; add -dbg packages and use
               hardening flags
  * [46c32a5c] bump policy to 3.9.3: pkg gnokii now Section:metapackages

 -- Leo Costela <costela@debian.org>  Sat, 16 Jun 2012 20:13:23 +0200

gnokii (0.6.31+dfsg-1) experimental; urgency=low

  * [4af2ae65] Imported Upstream version 0.6.31 (closes: #643136, #651228)
  * [38189bcd] bump soname to 7
  * [a9c8b353] update watch to conform to my less-than-consistent versioning
    scheme
  * [86ca8686] build with sqlite support
  * [30eae2d8] debian/rules: add build-arch/build-indep targets
  * [3bc114d6] patches: remove change_configfile_order.patch (merged upstream)
  * [722b10f9] patches: add fix_xgnokii_detection.patch to enable xgnokii
    building
  * [3ac8b04f] use wildcard build-deps for linux-specific stuff (Closes: 634712)

 -- Leo Costela <costela@debian.org>  Sat, 10 Dec 2011 13:13:09 +0100
