=== debian/control ===
Source: gnokii
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 10), libxpm-dev, libglib2.0-dev,
 gettext, default-libmysqlclient-dev, libpq-dev,
 libbluetooth-dev [linux-any], libusb-dev,
 libpcsclite-dev (>= 1.7.0), libical-dev, libxml-parser-perl,
 intltool, libreadline-dev, libncurses-dev, flex,
 libsqlite3-dev,
# prevent accidental backports after the 64-bit time_t transition
 dpkg-dev (>= 1.22.5),
Rules-Requires-Root: no
Standards-Version: 3.9.3
Homepage: http://gnokii.org
Vcs-Git: https://salsa.debian.org/debian/gnokii.git
Vcs-Browser: https://salsa.debian.org/debian/gnokii

Package: gnokii
Section: metapackages
Architecture: all
Depends: gnokii-cli (>= ${source:Version}),
         gnokii-common (= ${source:Version}), ${misc:Depends}
Description: Datasuite for mobile phone management (metapackage)
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 This metapackage installs all the non-daemon programs.

Package: gnokii-common
Architecture: all
Suggests: gnokii-cli
Depends: ${misc:Depends}
Description: Datasuite for mobile phone management (base files)
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 This package contains the base files for gnokii

Package: gnokii-cli
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), dialog, ${misc:Depends}
Description: Datasuite for mobile phone management (console interface)
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 This package provides the command line interface and the virtual modem daemon
 for non-AT-capable phones.

Package: gnokii-smsd
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), ${misc:Depends}
Conflicts: smstools
Description: SMS Daemon for mobile phones
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package contains the actual daemon and a file based backend. You will
 need to install the appropriate module packages to add support for other
 backends.

Package: gnokii-smsd-mysql
Architecture: any
Depends: ${shlibs:Depends}, gnokii-smsd (= ${binary:Version}), ${misc:Depends}
Description: SMSD plugin for MySQL storage backend
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package provides support for the MySQL storage backend.

Package: gnokii-smsd-pgsql
Architecture: any
Depends: ${shlibs:Depends}, gnokii-smsd (= ${binary:Version}), ${misc:Depends}
Description: SMSD plugin for PostgreSQL storage backend
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 The SMSD (SMS daemon) handles automated sending and receiving of short messages
 using a storage backend. It is designed to use modules (plugins) to work with
 different backends, and shares Gnokii's runtime configuration and libraries.
 .
 This package provides support for the PostgreSQL storage backend.

Package: libgnokii7t64
Provides: ${t64:Provides}
Replaces: libgnokii7
Breaks: libgnokii7 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, gnokii-common (= ${source:Version}), ${misc:Depends}
Description: Gnokii mobile phone interface library
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 This package provides the library used by the gnokii suite to communicate
 with the phones.

Package: libgnokii-dev
Provides: libgnokii3-dev
Replaces: libgnokii3-dev
Section: libdevel
Architecture: any
Depends: gnokii-common (= ${source:Version}),
         libgnokii7t64 (= ${binary:Version}), libxpm-dev,
         libbluetooth-dev [linux-any], libusb-dev,
         libpcsclite-dev, libical-dev, libc6-dev, ${misc:Depends}
Description: Gnokii mobile phone interface library (development files)
 Gnokii is a suite of programs that allows communication with mobile phones.
 It currently supports many Nokia mobile phones, all AT capable ones as well as
 many Symbian based.
 .
 This package provides the devel headers used by applications that wish to link
 against libgnokii.
