=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fgnu89-inline

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --enable-nls --enable-security \
	  --enable-smsd --enable-libpcsclite --enable-bluetooth \
	  --enable-irda --enable-libusb --enable-libical \
	  --enable-sqlite \
	  --disable-rpath

execute_before_dh_install:
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/tmp/ -name '*.la'`

override_dh_installdocs:
	dh_installdocs -p gnokii-common -p gnokii-smsd -p gnokii-smsd-mysql -p gnokii-smsd-pgsql Docs/README
	dh_installdocs -p gnokii --link-doc=gnokii-common
	dh_installdocs --remaining-packages --link-doc=libgnokii7t64

override_dh_installchangelogs:
	dh_installchangelogs -p gnokii-common ChangeLog -p gnokii-smsd -p gnokii-smsd-mysql -p gnokii-smsd-pgsql smsd/ChangeLog
	dh_installchangelogs --remaining-packages
