=== debian/watch ===
version=4

opts=dversionmangle=s/(\+|\.)dfsg$// \
	https://www.gnokii.org/download/gnokii/gnokii-([\d\.]+?)\.tar\.bz2
